/*
** Job Arranger for ZABBIX
** Copyright (C) 2012 FitechForce, Inc. All Rights Reserved.
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
**/

/*
** $Date:: 2013-04-05 15:39:24 +0900 #$
** $Revision: 4345 $
** $Author: nagata@FITECHLABS.CO.JP $
**/

#ifndef JOBAEG_JARUNICONJOB_H
#define JOBAEG_JARUNICONJOB_H

#include "dbcache.h"
#include "sysinfo.h"

extern char *CONFIG_SOURCE_IP;

#define JA_DATA_LEN_MAX 4096
#define JA_HOST_LEN_MAX 128
#define JA_STOP_CODE_LEN_MAX 32

typedef struct {
    DC_HOST host;
    DC_INTERFACE interface;
    zbx_uint64_t inner_job_id;
    int host_flag;
    int stop_flag;
    int command_type;
    int timeout;
    char host_name[JA_HOST_LEN_MAX];
    char stop_code[JA_STOP_CODE_LEN_MAX];
} JA_RUN_ICON_JOB;

int jarun_icon_job(zbx_uint64_t inner_job_id, int flag);

#endif
